Page MenuHomePhabricator

Use CirrusSearch for PropertySuggester
Closed, ResolvedPublic

Description

PropertySuggester’s SuggestionGenerator directly uses TermSqlIndex::getTopMatchingTerms(), resulting in queries like this (slightly reformatted from T194273#4228564):

SELECT term_entity_type, term_type, term_language, term_text, term_weight, term_full_entity_id 
FROM `wb_terms`
WHERE
term_language = 'en'
AND (term_text LIKE 'b%' ESCAPE '`')
AND term_type IN ('label','alias')
AND term_entity_type = 'property'
LIMIT 2500

This should use CirrusSearch instead, so that we don’t have to keep expensive indexes on term_text/term_search_key.

Event Timeline

Restricted Application added a subscriber: Aklapper. · View Herald TranscriptMay 24 2018, 2:37 PM
jcrespo rescinded a token.
jcrespo awarded a token.
hoo added a subscriber: hoo.May 24 2018, 9:52 PM

Change 435080 had a related patch set uploaded (by Ladsgroup; owner: Amir Sarabadani):
[mediawiki/extensions/PropertySuggester@master] Use CirrusSearch for PropertySuggester

https://gerrit.wikimedia.org/r/435080

Change 435080 merged by jenkins-bot:
[mediawiki/extensions/PropertySuggester@master] Use CirrusSearch for PropertySuggester

https://gerrit.wikimedia.org/r/435080

Is there anything we can do to test this? :)

Change 436038 had a related patch set uploaded (by Addshore; owner: Amir Sarabadani):
[mediawiki/extensions/PropertySuggester@wmf/1.32.0-wmf.5] Use CirrusSearch for PropertySuggester

https://gerrit.wikimedia.org/r/436038

Change 436038 merged by Addshore:
[mediawiki/extensions/PropertySuggester@wmf/1.32.0-wmf.5] Use CirrusSearch for PropertySuggester

https://gerrit.wikimedia.org/r/436038

hoo added a comment.May 30 2018, 1:26 PM

Is there anything we can do to test this? :)

Not really… probably best to wait for user feedback… if there's none, than this is fine.

Ladsgroup moved this task from incoming to in progress on the Wikidata board.Jun 2 2018, 6:08 PM
Lydia_Pintscher closed this task as Resolved.Jun 5 2018, 7:45 AM
Lydia_Pintscher claimed this task.
Vvjjkkii renamed this task from Use CirrusSearch for PropertySuggester to 1ccaaaaaaa.Jul 1 2018, 1:08 AM
Vvjjkkii reopened this task as Open.
Vvjjkkii removed Lydia_Pintscher as the assignee of this task.
Vvjjkkii triaged this task as High priority.
Vvjjkkii updated the task description. (Show Details)
Vvjjkkii removed subscribers: gerritbot, Aklapper.
CommunityTechBot renamed this task from 1ccaaaaaaa to Use CirrusSearch for PropertySuggester.Jul 2 2018, 3:51 PM
CommunityTechBot closed this task as Resolved.
CommunityTechBot assigned this task to Lydia_Pintscher.
CommunityTechBot raised the priority of this task from High to Needs Triage.
CommunityTechBot updated the task description. (Show Details)
CommunityTechBot added subscribers: gerritbot, Aklapper.